<template>
    <div id="app">
        <router-view />
        <Snackbar />
    </div>
</template>

<script>
import { mapGetters } from "vuex";
import Snackbar from "@/components/Snackbar/Snackbar";

export default {
    name: "App",
    components: { Snackbar },
    computed: {
        ...mapGetters("app", ["permissions", "roles"]),
    },
    watch: {
        permissions(value) {
            this.$gates.setPermissions(value);
        },
        roles(value) {
            this.$gates.setRoles(value);
        },
    },
};
</script>

<style></style>
